Package org.apache.commons.math3.analysis.differentiation

# Interface UnivariateMatrixFunctionDifferentiator

All Known Implementing Classes:
  `FiniteDifferencesDifferentiator`

public interface UnivariateMatrixFunctionDifferentiator
Interface defining the function differentiation operation.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`UnivariateDifferentiableMatrixFunction`
`differentiate(UnivariateMatrixFunction function)`
Create an implementation of a `differential` from a regular `matrix function`.

## Method Details

### differentiate

UnivariateDifferentiableMatrixFunction differentiate(UnivariateMatrixFunction function)
Create an implementation of a `differential` from a regular `matrix function`.

Parameters:
  `function` - function to differentiate
Returns:
  differential function